# $Revision: 1.29 $, $Date: 2012/03/24 13:52:12 $
%define		status		stable
%define		pearname	HTML_BBCodeParser
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - parser to replace UBB style tags with their HTML equivalents
Summary(pl.UTF-8):	%{pearname} - parser zastępujący tagi typu UBB ich odpowiednikami HTML
Name:		php-pear-%{pearname}
Version:	1.2.3
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	a42def972b249212545198dbe6f54d88
URL:		http://pear.php.net/package/HTML_BBCodeParser/
BuildRequires:	php-pear-PEAR >= 1:1.5.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.5.4
Obsoletes:	php-pear-HTML_BBCodeParser-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a parser to replace UBB style tags with their HTML
equivalents. It does not simply do some regex calls, but is complete
stack based parse engine. This ensures that all tags are properly
nested, if not, extra tags are added to maintain the nesting. This
parser should only produce XHTML 1.0 compliant code. All tags are
validated and so are all their attributes. It should be easy to extend
this parser with your own tags.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Jest to parser zastępujący tagi typu UBB ich odpowiednikami HTML. Nie
jest to jednak to tylko wywołanie kilku wyrażeń regularnych, ale
kompletny silnik parsujący. Dzięki temu pewne jest, iż wszystkie tagi
będą poprawnie zagnieżdżone, a jeśli nie, dodatkowy tag zostanie
dodany w celu zachowania zagnieżdżenia. Ten parser powinien
wyprodukować kod zgodny z XHTML 1.0. Wszystkie tagi oraz ich atrybuty
sprawdzane są pod kątem poprawności. Możliwe jest rozszerzenie parsera
o własne tagi.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

mv .%{php_pear_dir}/data/HTML_BBCodeParser docs
mv docs/example examples
mv .%{php_pear_dir}/example/parser.php examples
mv docs/TODO .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc TODO
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/HTML/*.php
%{php_pear_dir}/HTML/BBCodeParser
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTML_BBCodeParser.spec,v $
Revision 1.29  2012/03/24 13:52:12  glen
- up to 1.2.3

Revision 1.28  2011/03/01 06:29:00  glen
- release 4

Revision 1.27  2011/01/23 01:03:11  sparky
- dropped -tests subpackage

Revision 1.26  2010/08/21 19:08:50  glen
- updated deps with pearize.sh
- release 3

Revision 1.25  2008/01/31 12:16:06  glen
- rel 2

Revision 1.24  2007-09-01 19:33:00  adamg
- updated to 1.2.2

Revision 1.23  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.21  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.20  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.19  2006/03/29 22:29:28  glen
- rel 4 (rebuild with less deps)

Revision 1.18  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.17  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.16  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.15  2005/10/27 18:43:44  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.14  2005/10/05 20:11:06  glen
- rel 3

Revision 1.13  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.12  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.11  2005/09/21 21:06:13  glen
- use new pear packaging

Revision 1.10  2004/12/03 22:12:55  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.9  2004/10/31 22:10:46  paladine
- spaces->tabs
- formatting

Revision 1.8  2004/10/24 18:30:59  paladine
- spelling fixes, uppercases, etc.

Revision 1.7  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.6  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.5  2004/02/28 16:01:37  adamg
- updated to 1.1
- status changed to stable

Revision 1.4  2004/01/24 16:40:27  adamg
- updated to 1.1b1

Revision 1.3  2003/10/07 20:54:45  adamg
- do not use macros in URL

Revision 1.2  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.1  2003/07/25 08:12:19  adamg
- initial import
